ru.bitel.oss.kernel.entity.common.bean.filter

## Class FilterEntityAttrAddress

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr
  - - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttrAddress

-     public class FilterEntityAttrAddress
      extends FilterEntityAttr

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

      `MODE_EQ, MODE_LIKE, MODE_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterEntityAttrAddress()`
    `FilterEntityAttrAddress(java.util.Set<java.lang.Integer> entitySpecAttrId, int cityId, int streetId, java.lang.String house, java.lang.String frac, int pod, java.lang.String flat, java.lang.String room)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCityId()`
    `java.lang.String` | `getFlat()`
    `java.lang.String` | `getFrac()`
    `java.lang.String` | `getHouse()`
    `int` | `getPod()`
    `java.lang.String` | `getRoom()`
    `int` | `getStreetId()`
    `void` | `setCityId(int cityId)`
    `void` | `setFlat(java.lang.String flat)`
    `void` | `setFrac(java.lang.String frac)`
    `void` | `setHouse(java.lang.String house)`
    `void` | `setPod(int pod)`
    `void` | `setRoom(java.lang.String room)`
    `void` | `setStreetId(int streetId)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

      `getEntitySpecAttrIds, setEntitySpecAttrIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterEntityAttrAddress

          public FilterEntityAttrAddress()

    - #### FilterEntityAttrAddress

          public FilterEntityAttrAddress(java.util.Set<java.lang.Integer> entitySpecAttrId,
                                         int cityId,
                                         int streetId,
                                         java.lang.String house,
                                         java.lang.String frac,
                                         int pod,
                                         java.lang.String flat,
                                         java.lang.String room)

  - ### Method Detail

    - #### getCityId

          public int getCityId()

    - #### setCityId

          public void setCityId(int cityId)

    - #### getStreetId

          public int getStreetId()

    - #### setStreetId

          public void setStreetId(int streetId)

    - #### getHouse

          public java.lang.String getHouse()

    - #### setHouse

          public void setHouse(java.lang.String house)

    - #### getPod

          public int getPod()

    - #### setPod

          public void setPod(int pod)

    - #### getFrac

          public java.lang.String getFrac()

    - #### setFrac

          public void setFrac(java.lang.String frac)

    - #### getFlat

          public java.lang.String getFlat()

    - #### setFlat

          public void setFlat(java.lang.String flat)

    - #### getRoom

          public java.lang.String getRoom()

    - #### setRoom

          public void setRoom(java.lang.String room)